/*
 * SPDX-FileCopyrightText: 2018-2021 Bruce Cowan <bruce@bcowan.me.uk>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include <gtk/gtk.h>

#include "rugby-possibility.h"

G_BEGIN_DECLS

#define RUGBY_TYPE_POSSIBILITY_WIDGET (rugby_possibility_widget_get_type())

G_DECLARE_FINAL_TYPE (RugbyPossibilityWidget, rugby_possibility_widget, RUGBY, POSSIBILITY_WIDGET, GtkWidget)

GtkWidget * rugby_possibility_widget_new (RugbyPossibility *possibility);

G_END_DECLS
